# -*- coding: utf8 -*-

from __future__ import division
import sys, os
from PIL import Image


def main(wfin, hfin, imgo1, imgo2, imgfin):
    medw = int(wfin / 2)

    # resizeamos las imags
    imgs = []
    for archimg in (imgo1, imgo2):
        im = Image.open(archimg)
        im = im.resize((medw, hfin), Image.ANTIALIAS)
        imgs.append(im)

    # creamos la nueva y la llenamos
    newimg = Image.new("RGB", (wfin, hfin), (255,255,255))
    newimg.paste(imgs[0], (0,0))
    newimg.paste(imgs[1], (medw,0))
    newimg.save(imgfin)
    return


def verif(wfin, hfin, imgo1, imgo2, imgfin):
    aspfin = wfin/hfin
    wmedia = wfin/2

    # vemos los tamaños de las imágenes
    for archimg in (imgo1, imgo2):
        img = Image.open(archimg)
        (w, h) = img.size
        if h < hfin or w < wmedia:
            print "La imagen original %r es más chica que la final" % archimg
            print "Tamaño de la imagen: %dx%d" % (w, h)
            return False
        asp = w/h
        if (asp - aspfin/2)>0.001:
            print "La imagen original %r no tiene la mitad de relación de aspecto que la final" % archimg
            print "Relación de aspecto de la imágen: %f (tamaño %dx%d), debería ser %f" % (asp, w, h, aspfin)
            return False

    # vemos si podemos grabar en la destino
    if os.access(imgfin, os.F_OK) and not os.access(imgfin, os.W_OK):
        print "No podemos grabar en la imagen destino"
        return False

    return True
        

if __name__ == "__main__":
    if len(sys.argv) != 5:
        print "Usar juntaImgs.py ANCHOxALTO img_orig1 img_orig2 img_destino"
        sys.exit()

    (w,h) = [int(x) for x in sys.argv[1].split("x")]
    imgo1 = sys.argv[2]
    imgo2 = sys.argv[3]
    imgfin = sys.argv[4]

    if not verif(w, h, imgo1, imgo2, imgfin):
        sys.exit()

    main(w, h, imgo1, imgo2, imgfin)
